NodePair.NodePairSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair

## Class NodePair.NodePairSerializer

- java.lang.Object
- - org.apache.cassandra.repair.NodePair.NodePairSerializer

- All Implemented Interfaces:
    IVersionedSerializer<NodePair>
  Enclosing class:
    NodePair

      public static class NodePair.NodePairSerializer
      extends java.lang.Object
      implements IVersionedSerializer<NodePair>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodePairSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodePair` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(NodePair nodePair, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(NodePair nodePair, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodePairSerializer

          public NodePairSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(NodePair nodePair,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<NodePair>`
      Parameters:
        `nodePair` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public NodePair deserialize(java.io.DataInput in,
                                      int version)
                               throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<NodePair>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(NodePair nodePair,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<NodePair>`
      Parameters:
        `nodePair` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation